


.. index::
   pair: Git ; Mediawiki

.. _git_mediawiki:

=======================
Git mediawiki
=======================

.. seealso::

   - https://github.com/moy/Git-Mediawiki/wiki
   - http://git.kernel.org/?p=git/git.git;a=tree;f=contrib/mw-to-git





Introduction
============

Git-Mediawiki is a project which aim is to create a gate between git and mediawiki,
allowing git users to push and pull objects from mediawiki just as one would do
with a classic git repository.

For more information, read the `User manual`_

.. _`User manual`:  https://github.com/moy/Git-Mediawiki/wiki/User-manual



Git mediawiki source code
=========================

.. seealso::

   - http://git.kernel.org/?p=git/git.git;a=tree;f=contrib/mw-to-git


The latest version of Git-MediaWiki is available in Git's source tree, in the
directory contrib/mw-to-git.

You can download it from http://git.kernel.org/?p=git/git.git;a=tree;f=contrib/mw-to-git if needed.

You need to have the script git-remote-mediawiki in your PATH (and it needs to
be executable) to use it.

Alternatively, you may install it in Git's exec path (run git --exec-path to find
out where it is).
